import { Icon } from "native-base"
import { ThemeComponentSizeType } from "native-base/lib/typescript/components/types"
import { G, Path } from "react-native-svg"

export const MessageIcon = (props: { color: string }): JSX.Element => (
    <Icon>
        <G fill={props.color} stroke={props.color} strokeWidth={1}>
            <Path d="M15.854.146a.5.5 0 0 1 .11.54l-5.819 14.547a.75.75 0 0 1-1.329.124l-3.178-4.995L.643 7.184a.75.75 0 0 1 .124-1.33L15.314.037a.5.5 0 0 1 .54.11ZM6.636 10.07l2.761 4.338L14.13 2.576 6.636 10.07Zm6.787-8.201L1.591 6.602l4.339 2.76 7.494-7.493Z" />
        </G>
    </Icon>
)

export const EditIcon = (props: { color: string }): JSX.Element => (
    <Icon>
        <G fill={props.color} stroke={props.color} strokeWidth={1}>
            <Path d="M15.502 1.94a.5.5 0 0 1 0 .706L14.459 3.69l-2-2L13.502.646a.5.5 0 0 1 .707 0l1.293 1.293zm-1.75 2.456-2-2L4.939 9.21a.5.5 0 0 0-.121.196l-.805 2.414a.25.25 0 0 0 .316.316l2.414-.805a.5.5 0 0 0 .196-.12l6.813-6.814z" />
            <Path fill-rule="evenodd" d="M1 13.5A1.5 1.5 0 0 0 2.5 15h11a1.5 1.5 0 0 0 1.5-1.5v-6a.5.5 0 0 0-1 0v6a.5.5 0 0 1-.5.5h-11a.5.5 0 0 1-.5-.5v-11a.5.5 0 0 1 .5-.5H9a.5.5 0 0 0 0-1H2.5A1.5 1.5 0 0 0 1 2.5v11z" />
        </G>
    </Icon>
)

export const FullscreenIcon = (props: { color: string }): JSX.Element => (
    <Icon>
        <G fill={props.color} stroke={props.color} strokeWidth={1}>
            <Path d="M1.5 1a.5.5 0 0 0-.5.5v4a.5.5 0 0 1-1 0v-4A1.5 1.5 0 0 1 1.5 0h4a.5.5 0 0 1 0 1h-4zM10 .5a.5.5 0 0 1 .5-.5h4A1.5 1.5 0 0 1 16 1.5v4a.5.5 0 0 1-1 0v-4a.5.5 0 0 0-.5-.5h-4a.5.5 0 0 1-.5-.5zM.5 10a.5.5 0 0 1 .5.5v4a.5.5 0 0 0 .5.5h4a.5.5 0 0 1 0 1h-4A1.5 1.5 0 0 1 0 14.5v-4a.5.5 0 0 1 .5-.5zm15 0a.5.5 0 0 1 .5.5v4a1.5 1.5 0 0 1-1.5 1.5h-4a.5.5 0 0 1 0-1h4a.5.5 0 0 0 .5-.5v-4a.5.5 0 0 1 .5-.5z" />
        </G>
    </Icon>
)

export const TargetIcon = (props: { color: string }): JSX.Element => (
    <Icon>
        <G fill={props.color} stroke={props.color} strokeWidth={1}>
            <Path d="M2 7V2H7" stroke="black" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" />
            <Path d="M22 7V2H17" stroke="black" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" />
            <Path d="M7 22L2 22L2 17" stroke="black" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" />
            <Path d="M17 22L22 22L22 17" stroke="black" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" />
        </G>
    </Icon>
)

export const ExitfullscreenIcon = (props: { color: string }): JSX.Element => (
    <Icon>
        <G fill={props.color} stroke={props.color} strokeWidth={1}>
            <Path d="M5.5 0a.5.5 0 0 1 .5.5v4A1.5 1.5 0 0 1 4.5 6h-4a.5.5 0 0 1 0-1h4a.5.5 0 0 0 .5-.5v-4a.5.5 0 0 1 .5-.5zm5 0a.5.5 0 0 1 .5.5v4a.5.5 0 0 0 .5.5h4a.5.5 0 0 1 0 1h-4A1.5 1.5 0 0 1 10 4.5v-4a.5.5 0 0 1 .5-.5zM0 10.5a.5.5 0 0 1 .5-.5h4A1.5 1.5 0 0 1 6 11.5v4a.5.5 0 0 1-1 0v-4a.5.5 0 0 0-.5-.5h-4a.5.5 0 0 1-.5-.5zm10 1a1.5 1.5 0 0 1 1.5-1.5h4a.5.5 0 0 1 0 1h-4a.5.5 0 0 0-.5.5v4a.5.5 0 0 1-1 0v-4z" />
        </G>
    </Icon>
)


export const LeftArrowIcon = (props: { color?: string, size?: ThemeComponentSizeType<"Icon"> }): JSX.Element => (
    <Icon size={props.size} style={{ transform: 'scale(0.7)' }}>
        <G fill={props.color} stroke={props.color} strokeWidth={1}>
            <Path d="m4.431 12.822 13 9A1 1 0 0 0 19 21V3a1 1 0 0 0-1.569-.823l-13 9a1.003 1.003 0 0 0 0 1.645z" />
        </G>
    </Icon>
)

export const RightArrowIcon = (props: { color?: string, size?: ThemeComponentSizeType<"Icon"> }): JSX.Element => (
    <Icon size={props.size} style={{ transform: 'scale(0.7)' }}>
        <G fill={props.color} stroke={props.color} strokeWidth={1}>
            <Path d="M6.536 21.886a1.004 1.004 0 0 0 1.033-.064l13-9a1 1 0 0 0 0-1.644l-13-9A1 1 0 0 0 5 3v18a1 1 0 0 0 .536.886z" transform="translate(2)" />
        </G>
    </Icon>
)
